> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/comments/{id}/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/comments/{id}/:
    get:
      tags:
        - Comments
      summary: Retrieve
      operationId: comments_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this comment.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentRead'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    CommentRead:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        content_type:
          type: string
          maxLength: 25
        commenter:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        object_id:
          type: string
          format: uuid
        tag:
          type: string
          nullable: true
          maxLength: 50
        text:
          type: string
        parent:
          type: string
          format: uuid
          nullable: true
      required:
        - commenter
        - content_type
        - created_at
        - id
        - object_id
        - updated_at
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - email
        - full_name
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````